diff -Nru cups-1.5.3/debian/changelog cups-1.5.3/debian/changelog
--- cups-1.5.3/debian/changelog	2013-01-11 10:34:37.000000000 +0100
+++ cups-1.5.3/debian/changelog	2013-01-20 12:05:11.000000000 +0100
@@ -1,3 +1,11 @@
+cups (1.5.3-2.14) unstable; urgency=low
+
+  * Add upstream patch to avoid using Kerberos over the local socket.
+    Avoids having the hplip-cups upgrade asking for a root password
+    during upgrade (Closes: #640939).
+
+ -- Didier Raboud <odyx@debian.org>  Sun, 20 Jan 2013 12:04:38 +0100
+
 cups (1.5.3-2.13) unstable; urgency=low
 
   [ Helge Kreutzmann ]
diff -Nru cups-1.5.3/debian/patches/fix_kerberos_auth_local.patch cups-1.5.3/debian/patches/fix_kerberos_auth_local.patch
--- cups-1.5.3/debian/patches/fix_kerberos_auth_local.patch	1970-01-01 01:00:00.000000000 +0100
+++ cups-1.5.3/debian/patches/fix_kerberos_auth_local.patch	2013-01-20 12:05:11.000000000 +0100
@@ -0,0 +1,23 @@
+Description: Don't use Kerberos over the local domain socket
+Author: Michael Sweet <michael.sweet@apple.com>
+Bug-Upstream: http://www.cups.org/str.php?L4140
+Bug-Debian: http://bugs.debian.org/640939
+Last-Update: 2013-01-14
+
+--- a/scheduler/client.c
++++ b/scheduler/client.c
+@@ -2588,14 +2588,7 @@
+ 	       con->http.hostname);
+ #ifdef HAVE_GSSAPI
+     else if (auth_type == CUPSD_AUTH_NEGOTIATE)
+-    {
+-#  ifdef AF_LOCAL
+-      if (_httpAddrFamily(con->http.hostaddr) == AF_LOCAL)
+-        strlcpy(auth_str, "Basic realm=\"CUPS\"", sizeof(auth_str));
+-      else
+-#  endif /* AF_LOCAL */
+       strlcpy(auth_str, "Negotiate", sizeof(auth_str));
+-    }
+ #endif /* HAVE_GSSAPI */
+ 
+     if (con->best && auth_type != CUPSD_AUTH_NEGOTIATE &&
diff -Nru cups-1.5.3/debian/patches/series cups-1.5.3/debian/patches/series
--- cups-1.5.3/debian/patches/series	2013-01-11 10:34:38.000000000 +0100
+++ cups-1.5.3/debian/patches/series	2013-01-20 12:05:11.000000000 +0100
@@ -49,3 +49,4 @@
 test-i18n-nonlinux.patch
 tests-slow-lpstat.patch
 tests-fix-ppdLocalize-on-unclean-env.patch
+fix_kerberos_auth_local.patch
